質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.32%

  • Ruby

    8213questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Sass

    280questions

    Sassは、プログラミング風のコードでCSSを生成できるスタイルシート言語です。 scss ファイルを、変換(コンパイル)してCSSファイルを作成します。

scssを使いたい場合のRubyインストーラーの選択について

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 350

nagato-yuki

score 1

お世話になります。
当方、windows10 proとVisualStudioCodeを使用しており主にPHPのアプリを作成しております。
scssを使ってみたいと思いまして、Rubyのインストールをしようと思ったところDLページ(https://rubyinstaller.org/downloads/)に開発キット版?とそのキットなし版のインストーラーを拝見いたしました。
自分は、VisualStudioCode上でscssのコンパイルだけができれば良いので、
最小限のインストールで済ませたいのですが、
scssを使う上でrubyのインストールは
開発キット版をインストールしなければならないのでしょうか?
もしくは開発キットなしでもscssのコンパイルはできるのでしょうか?

ご助言いただけましたら幸いです。
よろしくお願いいたします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

Sass(scssをコンパイルするツール)はRubyからDartへとメイン開発プラットフォームを変更しました。最新のSassを使いたい場合はDart版を利用してください。

Dart版SassをWindowsに入れる方法はいくつかあります。
参考: Sass: Install Sass

  1. GitHubからダウンロード
    dart-sass-1.10.0-windows-x64.zip(32bit環境の場合はdart-sass-x.x.x-windows-ia32.zip)をダウンロード、zipを右クリックして他から入手によるセキュリティのフラグを許可、適当なフォルダに展開、展開したフォルダの"dart-sass"へのフルパスを環境変数PATHに追加(いわゆる「PATHを通す」)してください。
    もし、「PATHを通す」の意味がわからないと言う場合は他手段をお勧めします。
  2. Chocolateyでインストール(2018/07/22現在、不具合により不可)
    Chocolateyを入れている場合はchoco install sassでインストール可能です。1.で行うことを自動的に全て実施してくれます。
    ※ 2018/07/22現在、パッケージ構成とChocolaetyの不具合により正常にインストールすることが出来ません。不具合解消後に試してください。
  3. Node.jsのnpmでインストール
    Node.jsを入れている場合はnpm install -g sassでインストール可能です。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/07/23 13:04

    raccy様
    ご回答ありがとうございました!
    また、詳しい情報もご提示いただき感謝いたします。

    Rubyから開発プラットフォーム変更していたとは存じ上げませんでした。。。
    インストール方法も多数掲載していただきましてありがとうございます。
    ぜひ参考にしたいと思います!

    この度は誠にありがとうございました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.32%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る

  • Ruby

    8213questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Sass

    280questions

    Sassは、プログラミング風のコードでCSSを生成できるスタイルシート言語です。 scss ファイルを、変換(コンパイル)してCSSファイルを作成します。